#
# Conditional build:
%bcond_with	tests		# build with tests
Summary:	OpenTimelineIO
Name:		OpenTimelineIO
Version:	0.17.0
Release:	1
License:	Apache v2.0
Group:		X11/Libraries
Source0:	https://github.com/AcademySoftwareFoundation/OpenTimelineIO/archive/refs/tags/v%{version}.tar.gz
# Source0-md5:	efc3dff4adb57164e83afb68908018eb
Patch0:		0001-Use-system-rapidjson.patch
Patch1:		0002-CMake-fixes.patch
URL:		http://opentimeline.io/
BuildRequires:	Imath-devel
BuildRequires:	cmake >= 3.16
BuildRequires:	ninja
BuildRequires:	rapidjson-devel >= 1.1.1
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
OpenTimelineIO is an interchange format and API for editorial cut
information. OTIO contains information about the order and length of
cuts and references to external media. It is not however, a container
format for media.

%package devel
Summary:	Header files for %{name} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{name}.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DOTIO_FIND_IMATH=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.md *.pdf *.txt
%ghost %{_libdir}/libopentime.so.0
%attr(755,root,root) %{_libdir}/libopentime.so.*.*
%ghost %{_libdir}/libopentimelineio.so.0
%attr(755,root,root) %{_libdir}/libopentimelineio.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/opentime
%{_includedir}/opentimelineio
%{_libdir}/cmake/opentime
%{_libdir}/cmake/opentimelineio
%{_libdir}/libopentime.so
%{_libdir}/libopentimelineio.so
%changelog
* Thu May 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/OpenTimelineIO.git;a=log;h=master

* Wed Apr 30 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7ecf06a
- new, with two parches from Mageia

